Summary: Free Production PLanning
Name: frepple
Version: 3.1
Release: 4%{?dist}
License: AGPLv3+
Group: Applications/Productivity
URL: https://www.frepple.com
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-XXXXXX)
Requires: xerces-c, httpd, python3-mod_wsgi, python3, python3-cherrypy 
BuildRequires: python3-devel, automake, autoconf, libtool, xerces-c-devel, python3-sphinx
# Note: A customized installation of django is required. Users will need to install
# it manually. In the build process we can use the standard django package.
BuildRequires: python3-django, python3-django-rest-framework, python3-psycopg2

%description
FrePPLe stands for "Free Production PLanning". It is an application for
modeling and solving production planning problems, targeted primarily
at discrete manufacturing industries.

%package devel
Summary: The libraries and header files needed for frePPLe development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
These are the libraries and header files need for developing plug-ins and
extensions of frePPLe - free Production PLanning.

%package doc
Summary: Documentation subpackage for frePPLe
Group: Documentation
Requires: %{name} = %{version}-%{release}
%if 0%{?fedora} || 0%{?rhel} > 5
BuildArch: noarch
%endif

%description doc
Documentation subpackage for frePPLe - free Production PLanning.

%prep
%setup -q

%build
# Don't collect the static files
sed -i 's|^\t$(PYTHON) frepplectl.py collectstatic|#\t$(PYTHON) frepplectl.py collectstatic|g' contrib/django/Makefile.in
# Configure
%configure \
  --disable-static \
  --disable-dependency-tracking \
  --enable-doc
# Remove rpath from libtool
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Avoid linking against unused libraries
sed -i -e 's| -shared | -Wl,--as-needed\0|g' libtool
# Compile
make %{?_smp_mflags} all

%check
# Run test suite, skipping some long and less interesting tests
TESTARGS="--regression -e operation_routing -e constraints_combined_1 -e wip -e callback -e sample_module"
export TESTARGS
make check

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# Do not package .la files created by libtool
find %{buildroot} -name '*.la' -exec rm {} \;
# Use percent-doc instead of install to create the documentation
rm -rf %{buildroot}%{_docdir}/%{name}
# Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django*.mo') | %{__sed} -e 's|^.||' | %{__sed} -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang
# Remove .py script extension
mv $RPM_BUILD_ROOT/usr/bin/frepplectl.py $RPM_BUILD_ROOT/usr/bin/frepplectl
# Install apache configuration
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
install -m 644 -p contrib/rpm/httpd.conf $RPM_BUILD_ROOT/etc/httpd/conf.d/z_frepple.conf
# Create log directory
mkdir -p $RPM_BUILD_ROOT/var/log/frepple

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/frepple
%{_bindir}/frepplectl
%{_libdir}/libfrepple.so.0
%{_libdir}/libfrepple.so.0.0.0
%dir %{_datadir}/frepple
%{_datadir}/frepple/*
%{_mandir}/man1/frepple.1.*
%{_mandir}/man1/frepplectl.1.*
%{python3_sitelib}/*
%{python3_sitearch}/*
%attr(0770,root,adm) %dir /var/log/frepple
%doc COPYING 
%config(noreplace) /etc/frepple/license.xml
%config(noreplace) /etc/frepple/init.xml
%config(noreplace) /etc/frepple/djangosettings.py*
%config(noreplace) /etc/httpd/conf.d/z_frepple.conf

%files devel
%defattr(-,root,root,-)
%{_libdir}/libfrepple.so
%dir %{_includedir}/frepple
%{_includedir}/frepple/*
%{_includedir}/frepple.h
%{_includedir}/freppleinterface.h

%files doc
%defattr(-,root,root,-)
%doc doc/_build/html

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Johan De Taeye <jdetaeye@users.sourceforge.net> - 3.1-4
- Fix for building with Python 3.6

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Apr 17 2016 Johan De Taeye <jdetaeye@users.sourceforge.net> - 3.1-1
- New upstream release

* Mon Feb 15 2016 Johan De Taeye <jdetaeye@users.sourceforge.net> - 3.0.2-1
- New upstream release to fix bug #1307514

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 27 2015 Johan De Taeye <jdetaeye@users.sourceforge.net> - 3.0-1
- New upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 06 2014 Johan De Taeye <jdetaeye@users.sourceforge.net> - 2.1-1
- New upstream release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 3 2013 Johan De Taeye <jdetaeye@users.sourceforge.net> - 2.0-1
- New upstream release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 8 2012 Johan De Taeye <jdetaeye@users.sourceforge.net> - 0.9.2-1
- New upstream release

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 8 2012 Johan De Taeye <jdetaeye@users.sourceforge.net> - 0.9.1-1 
- New upstream release

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Johan De Taeye <jdetaeye@users.sourceforge.net> - 0.9.0-3
- Patch for gcc 4.7 compatibility

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 30 2011 Johan De Taeye <jdetaeye@users.sourceforge.net> - 0.9.0-1
- New upstream release

* Thu Mar 10 2011 Kalev Lember <kalev@smartlink.ee> - 0.8.1-4
- Rebuilt with xerces-c 3.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.8.1-2
- Rebuilt for gcc bug 634757

* Sat Sep 18 2010 Johan De Taeye <jdetaeye@users.sourceforge.net> 0.8.1-1
- New upstream release

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Mar 21 2010 Johan De Taeye <jdetaeye@users.sourceforge.net> 0.8.0-1
- New upstream release

* Fri Feb 19 2010 Johan De Taeye <jdetaeye@users.sourceforge.net> 0.7.1-2
- patch to work with xerces-c 3.x

* Tue Aug 11 2009 Johan De Taeye <jdetaeye@users.sourceforge.net> 0.7.1-1
- Package submitted for review and initial build.

